1

Topic: error to install iredadmin

Hi all,

When I install in Centos x64 required python modules, I get this errors

# sudo easy_install web.py Jinja2 python-ldap netifaces
Searching for web.py
Best match: web.py 0.33
Processing web.py-0.33-py2.4.egg
web.py 0.33 is already the active version in easy-install.pth

Using /usr/lib/python2.4/site-packages/web.py-0.33-py2.4.egg
Processing dependencies for web.py
Searching for Jinja2
Best match: Jinja2 2.2.1
Processing Jinja2-2.2.1-py2.4.egg
Jinja2 2.2.1 is already the active version in easy-install.pth

Using /usr/lib/python2.4/site-packages/Jinja2-2.2.1-py2.4.egg
Processing dependencies for Jinja2
Searching for python-ldap
Reading http://cheeseshop.python.org/pypi/python-ldap/
Reading http://cheeseshop.python.org/pypi/python-ldap/2.3.8
Reading http://www.python-ldap.org/
Reading http://cheeseshop.python.org/pypi/python-ldap/2.3.10
Best match: python-ldap 2.3.10
Downloading http://pypi.python.org/packages/source/ … fe9262d1a5
Processing python-ldap-2.3.10.tar.gz
Running python-ldap-2.3.10/setup.py -q bdist_egg --dist-dir /tmp/easy_install-W9g3IK/python-ldap-2.3.10/egg-dist-tmp-9lwyK4
extra_compile_args:
extra_objects:
include_dirs: /usr/local/openldap-2.3/include /usr/include/sasl
library_dirs: /usr/local/openldap-2.3/lib
libs: ldap_r lber sasl2 ssl crypto
file Lib/ldap.py (for module ldap) not found
file Lib/ldap/schema.py (for module ldap.schema) not found
warning: no files found matching 'Makefile'
warning: no files found matching 'Modules/LICENSE'
file Lib/ldap.py (for module ldap) not found
file Lib/ldap/schema.py (for module ldap.schema) not found
file Lib/ldap.py (for module ldap) not found
file Lib/ldap/schema.py (for module ldap.schema) not found
Modules/constants.c: In function âLDAPinit_constantsâ:
Modules/constants.c:184: error: âLDAP_OPT_X_TLS_NEWCTXâ no se declaró aquà (primer uso en esta función)
Modules/constants.c:184: error: (Cada identificador no declarado solamente se reporta una vez
Modules/constants.c:184: error: ara cada funcion en la que aparece.)
error: Setup script exited with error: command 'gcc' failed with exit status 1

How can fix it?
thanks

2

Re: error to install iredadmin

It seems there's a compile error while compile python-ldap-2.3.10. You can use an old version:

# easy_install python-ldap==2.3.8

3

Re: error to install iredadmin

I updated iredadmin installation tutorial, use 'python-ldap==2.3.8' be default. Thanks for your report. smile

4

Re: error to install iredadmin

Already report this compile error to python-ldap developers with bcc you.

5

Re: error to install iredadmin

ZhangHuangbin wrote:

It seems there's a compile error while compile python-ldap-2.3.10. You can use an old version:

# easy_install python-ldap==2.3.8


ok. thanks for the solution.